Bug 813542 - Review Request: python-pivy - Python binding for Coin
Review Request: python-pivy - Python binding for Coin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
: Pivy (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 15:56 EDT by Richard Shaw
Modified: 2014-05-28 15:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-pivy-0.5.0-3.hg609.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-27 02:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
john: needinfo-
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2012-04-17 15:56:56 EDT
SPEC: http://hobbes1069.fedorapeople.org/Pivy/Pivy.spec
SRPM: http://hobbes1069.fedorapeople.org/Pivy/Pivy-0.5.0-1.hg609.fc16.src.rpm
Description:
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library with
a C++ Application Programming Interface. Coin uses scene-graph data structures
to render real-time graphics suitable for mostly all kinds of scientific and
engineering visualization applications.

rpmlint output:
Pivy.src:51: E: hardcoded-library-path in %{_prefix}/lib
Needed because it doesn't understand /usr/lib{,64}

Pivy.src: W: invalid-url Source0: Pivy-0.5.0-hg609.tar.gz
mecurial checkout, instructions for checkout are in the spec.
Comment 1 Richard Shaw 2012-04-17 16:06:23 EDT
*** Bug 458975 has been marked as a duplicate of this bug. ***
Comment 2 Kalev Lember 2012-04-17 21:53:51 EDT
Taking for review.

Instead of 'Pivy', I believe this package should be named 'python-pivy', as per python naming guidelines:

"Packages of python modules (thus they rely on python as a parent) use a slightly different naming scheme. They should take into account the upstream name of the python module. This makes a package name format of python-$NAME. When in doubt, use the name of the module that you type to import it in a script."

http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29
Comment 3 Richard Shaw 2012-04-18 09:31:09 EDT
Ok, fixed. Is there anything else I need to fix before posting new links?

Thanks,
Richard
Comment 4 Kalev Lember 2012-04-18 10:18:45 EDT
No, please post new links. I haven't looked in it in detail yet, but the packaging seems nice and clean at least.
Comment 6 Kalev Lember 2012-04-18 11:52:11 EDT
Fedora review python-pivy-0.5.0-2.hg609.fc16.src.rpm 2012-04-18

+ OK
! needs attention

rpmlint output:
$ rpmlint python-pivy \
          python-pivy-debuginfo \
          python-pivy-0.5.0-2.hg609.fc16.src.rpm
python-pivy.src:52: E: hardcoded-library-path in %{_prefix}/lib
python-pivy.src: W: invalid-url Source0: Pivy-0.5.0-hg609.tar.gz
3 packages and 0 specfiles checked; 1 errors, 1 warnings.

+ Rpmlint warnings/errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.

! The license field in the spec file doesn't match the actual license

The spec file currently states that it's BSD licensed. However, the license
headers in the source code and the LICENSE file appear to specify the ISC
license, which, according to the list of allowed licenses [1], should use
"License: ISC" tag in the spec file.

+ The package contains the license file (LICENSE)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream hg checkout sources match sources in the srpm. 
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Issues
------
 1) The spec 'BSD' vs 'ISC' licensing issue outlined above
 2) Maybe it'd be better to use pre-release version numbering [2], in case
    upstream decides to release 0.5.0 final some day?
    0.5.0-0.2.hg609 instead of
    0.5.0-2.hg609

[1] http://fedoraproject.org/wiki/Licensing#Good_Licenses
[2] http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages
Comment 7 Kalev Lember 2012-04-18 11:55:36 EDT
Oone more suggestion I forgot -- might be better to compress the sources with xz instead of gz to save some space.
Comment 8 Richard Shaw 2012-04-18 12:04:12 EDT
(In reply to comment #6)
> Issues
> ------
>  1) The spec 'BSD' vs 'ISC' licensing issue outlined above

Fixed.


>  2) Maybe it'd be better to use pre-release version numbering [2], in case
>     upstream decides to release 0.5.0 final some day?
>     0.5.0-0.2.hg609 instead of
>     0.5.0-2.hg609

I thought this was a post-release checkout but I'll check.


(In reply to comment #7)
> Oone more suggestion I forgot -- might be better to compress the sources with
> xz instead of gz to save some space.

I would but mecurial doesn't seem to support it in their "hg archive" command.

New links to follow.
Comment 9 Richard Shaw 2012-04-18 13:48:27 EDT
Ok, both setup.py and NEWS says it's 0.5.0 so I assume it is a post-release snapshot.

SPEC: http://hobbes1069.fedorapeople.org/Pivy/python-pivy.spec
SRPM:
http://hobbes1069.fedorapeople.org/Pivy/python-pivy-0.5.0-3.hg609.fc16.src.rpm
Comment 10 Kalev Lember 2012-04-18 13:58:48 EDT
Looks good. Don't forget to update the bugzilla ticket's summary for Pivy -> python-pivy rename before filing the SCM request.

APPROVED
Comment 11 Richard Shaw 2012-04-18 14:22:05 EDT
Thanks for the review!
Comment 12 Richard Shaw 2012-04-18 14:22:55 EDT
New Package SCM Request
=======================
Package Name: python-pivy
Short Description: Python binding for Coin
Owners: hobbes1069
Branches: f16 f17
InitialCC:
Comment 13 Gwyn Ciesla 2012-04-18 14:27:47 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-04-18 18:33:23 EDT
python-pivy-0.5.0-3.hg609.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-pivy-0.5.0-3.hg609.fc16
Comment 15 Fedora Update System 2012-04-18 18:33:33 EDT
python-pivy-0.5.0-3.hg609.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pivy-0.5.0-3.hg609.fc17
Comment 16 Fedora Update System 2012-04-19 01:23:22 EDT
python-pivy-0.5.0-3.hg609.fc16 has been pushed to the Fedora 16 testing repository.
Comment 17 Fedora Update System 2012-04-27 02:05:39 EDT
python-pivy-0.5.0-3.hg609.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Fedora Update System 2012-04-28 20:56:35 EDT
python-pivy-0.5.0-3.hg609.fc17 has been pushed to the Fedora 17 stable repository.
Comment 19 John Morris 2012-10-17 16:53:53 EDT
Package Change Request
======================
Package Name: python-pivy
New Branches: el6
Owners: zultron hobbes1069
InitialCC: 

The owner of this package (hobbes1069) and I (zultron) are building this package for EPEL6.
Comment 20 Gwyn Ciesla 2012-10-17 17:26:12 EDT
Git done (by process-git-requests).
Comment 21 Richard Shaw 2014-05-28 14:30:39 EDT
Package Change Request
======================
Package Name: python-pivy
New Branches: epel7
Owners: zultron hobbes1069
InitialCC:
Comment 22 Gwyn Ciesla 2014-05-28 15:02:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.